/**
 * @file test_co2.cpp
 * @brief Unit tests for Co2 component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "co2.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_co2_initialize(void)
{
    Co2 comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_co2_deinitialize(void)
{
    Co2 comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
